testing::TestResult Class Reference

`#include <gtest.h>`

## Public Member Functions

| TestResult ()
| ~TestResult ()
int | total_part_count () const
int | test_property_count () const
bool | Passed () const
bool | Skipped () const
bool | Failed () const
bool | HasFatalFailure () const
bool | HasNonfatalFailure () const
TimeInMillis | elapsed_time () const
const TestPartResult & | GetTestPartResult (int i) const
const TestProperty & | GetTestProperty (int i) const

## Friends

class | TestInfo
class | TestSuite
class | UnitTest
class | internal::DefaultGlobalTestPartResultReporter
class | internal::ExecDeathTest
class | internal::TestResultAccessor
class | internal::UnitTestImpl
class | internal::WindowsDeathTest
class | internal::FuchsiaDeathTest

## Detailed Description

Definition at line 15170 of file gtest.h.

## Constructor & Destructor Documentation

## TestResult()

testing::TestResult::TestResult | ( |  | ) |

## ~TestResult()

testing::TestResult::~TestResult | ( |  | ) |

## Member Function Documentation

## elapsed_time()

TimeInMillis testing::TestResult::elapsed_time | ( |  | ) | const

inline

Definition at line 15201 of file gtest.h.

## Failed()

bool testing::TestResult::Failed | ( |  | ) | const

## GetTestPartResult()

const TestPartResult& testing::TestResult::GetTestPartResult | ( | int | i | ) | const

## GetTestProperty()

const TestProperty& testing::TestResult::GetTestProperty | ( | int | i | ) | const

## HasFatalFailure()

bool testing::TestResult::HasFatalFailure | ( |  | ) | const

## HasNonfatalFailure()

bool testing::TestResult::HasNonfatalFailure | ( |  | ) | const

## Passed()

bool testing::TestResult::Passed | ( |  | ) | const

inline

Definition at line 15186 of file gtest.h.

## Skipped()

bool testing::TestResult::Skipped | ( |  | ) | const

## test_property_count()

int testing::TestResult::test_property_count | ( |  | ) | const

## total_part_count()

int testing::TestResult::total_part_count | ( |  | ) | const

## Friends And Related Function Documentation

## internal::DefaultGlobalTestPartResultReporter

friend class internal::DefaultGlobalTestPartResultReporter

friend

Definition at line 15216 of file gtest.h.

## internal::ExecDeathTest

friend class internal::ExecDeathTest

friend

Definition at line 15217 of file gtest.h.

## internal::FuchsiaDeathTest

friend class internal::FuchsiaDeathTest

friend

Definition at line 15221 of file gtest.h.

## internal::TestResultAccessor

friend class internal::TestResultAccessor

friend

Definition at line 15218 of file gtest.h.

## internal::UnitTestImpl

friend class internal::UnitTestImpl

friend

Definition at line 15219 of file gtest.h.

## internal::WindowsDeathTest

friend class internal::WindowsDeathTest

friend

Definition at line 15220 of file gtest.h.

## TestInfo

friend class TestInfo

friend

Definition at line 15213 of file gtest.h.

## TestSuite

friend class TestSuite

friend

Definition at line 15214 of file gtest.h.

## UnitTest

friend class UnitTest

friend

Definition at line 15215 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h